#!/bin/sh
# Installer script for Transmeta Crusoe BeOS Longrun driver

PREFSDIR=/boot/preferences/LongRun

alert --info "Installing Transmeta Crusoe Longrun drivers."

# Install the longrun driver
cd "`dirname \"$0\"`"
make install

# Install the LongRun tool scripts
INSTALLPREFS=$(alert --idea 'Do you want to install the LongRun tool in preferences?' "Yes" "No")
if [ $INSTALLPREFS == "Yes" ]; then

  # Create directory if it doesn't already exist from a previous installation
  echo $PREFSDIR
  if [ ! -e $PREFSDIR/ ]; then
    mkdir $PREFSDIR
  fi

  # Now copy the scripts over
  cp --force src/scripts/* $PREFSDIR/
fi

# Install is complete!
alert --info "Driver has been installed, please reboot system."
